Bug 306762 - When disabling the calendar events, the calendar opened after clicking the clock is too small
Summary: When disabling the calendar events, the calendar opened after clicking the cl...
Status: RESOLVED FIXED
Alias: None
Product: plasma4
Classification: Unclassified
Component: widget-clock (show other bugs)
Version: 4.9.1
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-13 19:37 UTC by Ralf Jung
Modified: 2012-09-20 13:50 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.9.2


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ralf Jung 2012-09-13 19:37:01 UTC
If I disable displaying the calendar events in the clock config before I ever open the calendar (i.e., click on the clock), the clock window will open too small.

Reproducible: Always

Steps to Reproduce:
1. Add a new clock to the panel
2. Open its configuration window
3. Disable showing the calendar events
4. Hit "Ok"
5. Click the clock.
Actual Results:  
A calendar opens, but the width is much too small: It does not even suffice to display the current day above the list of holidays, and the actual calendar in the left part is squeezed together and hardly readable.

Expected Results:  
The calendar should have the normal width.

Interesting enough, if after adding the clock (i.e., between steps 1 and 2), I click the clock once to, open the calendar and close it again, the width stays correct. It seems that this is even remembered across logouts: The width will be broken permanently if and only if calendar events were disabled the very first time the calendar was opened.

Current git master has the same problem.
Comment 1 Ralf Jung 2012-09-13 20:56:22 UTC
The bug is actually in the generic clock code and not specific to the digital clock. Also, you can actually leave step 3 out: Not changing anything in the config window still triggers the problem.

When disabling both displaying vents and holidays on an already set up clock (where the calendar has been opened already), the calendar is much too wide - it now uses the full space which was previously used by calendar and information area. I think this is the same bug: Somewhere in plasmaclock/calendar.cpp, the layout is not properly updated. CalendarPrivate::displayEvents does the creation/deletion of the widgets, but that does not seem to suffice.
Comment 3 Ralf Jung 2012-09-20 13:50:27 UTC
Git commit b45eada25bcd38d355af499a4023dcb4479e4f9d by Ralf Jung.
Committed on 14/09/2012 at 11:35.
Pushed by ralfjung into branch 'KDE/4.9'.

plasmaclock: Fix calendar resizing
FIXED-IN: 4.9.2
REVIEW: 106441

M  +12   -17   libs/plasmaclock/calendar.cpp

http://commits.kde.org/kde-workspace/b45eada25bcd38d355af499a4023dcb4479e4f9d